<!DOCTYPE html>
<html>

 <head>
      <title>SLEGAL</title>
      <meta charset="utf-8">
      <meta name="viewport" content="width=device-width, initial-scale=1">
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
      <style>
         body {font-family: Arial, Helvetica, sans-serif;}
         * {box-sizing: border-box}
         /* Full-width input fields */
         input[type=text], input[type=password] {
         width: 100%;
         padding: 15px;
         margin: 5px 0 22px 0;
         display: inline-block;
         border: none;
         background: #f1f1f1;
         }
         input[type=text]:focus, input[type=password]:focus {
         background-color: #ddd;
         outline: none;
         }
         hr {
         border: 1px solid #f1f1f1;
         margin-bottom: 25px;
         }
         /* Set a style for all buttons */
         button {
         background-color: #04AA6D;
         color: white;
         padding: 14px 20px;
         margin: 8px 0;
         border: none;
         cursor: pointer;
         opacity: 0.9;
         }
         button:hover {
         opacity:1;
         }
         /* Extra styles for the cancel button */
         .btn-submit {
         background-color: #8a24ff;
         color: white;
         padding: 14px 20px;
         margin: 8px 0;
         border: none;
         cursor: pointer;
         width: auto; 
         opacity: 0.9;
         box-shadow: 0 2px 11px 2px #ccc;
         border-radius: 5px;
         }
         /* Add padding to container elements */
         .container {
         padding: 16px;
         }
         /* Clear floats */
         .clearfix::after {
         content: "";
         clear: both;
         display: table;
         }
         /* Change styles for cancel button and signup button on extra small screens */
         @media screen and (max-width: 300px) {
         .cancelbtn, .signupbtn {
         width: 100%;
         }
         }
         @media screen and (min-width: 700px) {
         .for-m
         {
         max-width: 500px;
         margin: auto;
         border-radius: 5px;
         box-shadow: 0 2px 11px 2px #ddd;
         margin-top:70px;
         }
         }
         .logo-set
         {
         text-align: center;
         padding: 20px 20px 0 20px;
         }
         .txt-center
         {
         text-align:center;
         }

           .loader_div{
            position: absolute;
            top: 0;
            bottom: 0%;
            left: 0;
            right: 0%;
            z-index: 99;
            opacity:0.7;
            display:none;
            
            background: lightgrey url('https://www.administrateur.slegal.ai/static/public/loader') center center no-repeat;
            }  
      </style>
   </head>

<body>
    <div>
         <div id="loader_div" class="loader_div"></div>
        <form class="for-m" style="">
         <div class="logo-set"><a href="javascript:void0;"><img src="/static/public/logo.png" width="200"/></a></div>
         <div class="container">
            <h1 class="txt-center">Réinitialiser le mot de passe</h1>
            <hr>
           <!--  <label for="email"><b>Old Password</b></label>
            <input type="password" name="newPassword" id="newPassword" required> -->
            <label for="psw"><b>Nouveau mot de passe</b></label>
            <input type="password" name="newPassword" id="newPassword" required>
            <label for="psw-repeat"><b>Confirmer le nouveau mot de passe</b></label>
            <input type="password" name="verifyPassword" id="verifyPassword" required>
            <div class="txt-center">
               <input type="button" class="btn-submit" id="resetPasswordClickEvt" value="Réinitialiser le mot de passe"/>
            </div>
         </div>
      </form>
       <!--  <form>
            <label for="newPassword">Nouveau mot de passe</label>
            <input type="text" name="newPassword" id="newPassword" required>
            <label for="verifyPassword">Confirmer le mot de passe</label>
            <input type="text" name="verifyPassword" id="verifyPassword" required>
            <input type="submit" name="submit" id="resetPasswordClickEvt" value="Réinitialiser le mot de passe">
        </form> -->
    </div>
    <script type="text/javascript">
        var resetPasswordClickEvt = document.getElementById('resetPasswordClickEvt');

        resetPasswordClickEvt.addEventListener('click', resetPasswordClicked);

        function resetPasswordClicked(event) {
            event.preventDefault();

            var newPassword=document.getElementById('newPassword').value;
            var verifyPassword=document.getElementById('verifyPassword').value;
            
            if(newPassword==""){
                alert("Veuillez entrer un nouveau mot de passe");
                return false;
            }else if(newPassword.split("").length<8){
                 alert("Veuillez entrer un nouveau mot de passe de 8 caractères minimum");
                return false;
            }
            
            
            else if(verifyPassword==""){
                alert("Veuillez entrer Confirmation du mot de passe");
                return false;
            }else if(verifyPassword.split("").length<8){
                 alert("Veuillez entrer Confirmation du mot de passe de 8 caractères minimum");
                return false;
            }
            
            else if(newPassword!=verifyPassword){
                 alert("Le mot de passe et le mot de passe de confirmation ne correspondent pas");
                return false;
            }
             $(".loader_div").show();
        let url="<%=url%>/api/user/reset_password";
            var token = document.location.href.split('token=')[1];
            var newdata={"newpassword":document.getElementById('newPassword').value,"verifypassword":document.getElementById('verifyPassword').value,"token":token};
            var data = "newPassword=" + document.getElementById('newPassword').value + '&verifyPassword=' + document.getElementById('verifyPassword').value + '&token=' + `${token.toString()}`;
            ajaxCall(data, url, function(status, response) {
                if (response.status) {
                    alert(response.message);
                      $(".loader_div").hide();
                } else {
                    alert(response.errmessage);
                     $(".loader_div").hide();
                }
            });
        }

        function ajaxCall(data, url, callback) {
            var xhttp = new XMLHttpRequest();
            xhttp.open("POST", url, true);
            xhttp.onreadystatechange = function() {
                if (this.readyState == 4) {
                    return callback(this.status, JSON.parse(xhttp.response));
                }
            }
            xhttp.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
            console.log(data)
            xhttp.send([data]);
            

// the response is {"message": "Hello, world!"}
xhttp.onload = function() {
  let responseObj = xhr.response;
  alert(responseObj.message); // Hello, world!
};
        }
    </script>
</body>

</html>